package w83b.w83bOperacionesInternas.w83bComunicaciones;


import java.util.ArrayList;
import java.util.List;

import w83b.w83bUtilidadesComunes.W83bClsConstantes;

import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bCargarPlantillaComunicacionesActaRequeMesaOIAction extends Q70OperacionInterna{
	
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{				
		
		List listaPlantillas = new ArrayList();
		
		listaPlantillas.add(W83bClsConstantes.ACUSES);
		listaPlantillas.add(W83bClsConstantes.ETIQUETAS);
		listaPlantillas.add(W83bClsConstantes.OFICINA_REQUERIMIENTO);
		listaPlantillas.add(W83bClsConstantes.COMUNICACION_REQUERIMIENTO);
		listaPlantillas.add(W83bClsConstantes.RELACUSES);
		
		contexto.set("w83bNombresPlantilla",listaPlantillas);
		
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		
		super.postProcessMappingSalida(contexto, errors);
	}

}

